import jaggl.OpenGL;
import java.awt.Canvas;

public class Class271 {

   Class271() throws Throwable {
      throw new Error();
   }

   public static Class545 method4778(Canvas var0, Interface24 var1, Class253 var2, int var3) {
      try {
         boolean var4 = Class545_Sub2.method15107();
         if(!var4) {
            throw new RuntimeException("");
         } else if(!Class335.method6178(-888320534).method310("jaggl", 2098226057)) {
            throw new RuntimeException("");
         } else {
            Class193.method3356(var0, 399936981);
            OpenGL var5 = new OpenGL();
            long var6 = var5.init(var0, 8, 8, 8, 24, 0, var3);
            if(var6 == 0L) {
               throw new RuntimeException("");
            } else {
               Class545_Sub2_Sub2 var8 = new Class545_Sub2_Sub2(var5, var0, var6, var1, var2, var3);
               var8.method14972();
               return var8;
            }
         }
      } catch (Throwable var9) {
         throw new RuntimeException("");
      }
   }

   public static Class545 method4779(Canvas var0, Interface24 var1, Class253 var2, int var3) {
      try {
         boolean var4 = Class545_Sub2.method15107();
         if(!var4) {
            throw new RuntimeException("");
         } else if(!Class335.method6178(-1240543063).method310("jaggl", 2098226057)) {
            throw new RuntimeException("");
         } else {
            Class193.method3356(var0, -13605084);
            OpenGL var5 = new OpenGL();
            long var6 = var5.init(var0, 8, 8, 8, 24, 0, var3);
            if(var6 == 0L) {
               throw new RuntimeException("");
            } else {
               Class545_Sub2_Sub2 var8 = new Class545_Sub2_Sub2(var5, var0, var6, var1, var2, var3);
               var8.method14972();
               return var8;
            }
         }
      } catch (Throwable var9) {
         throw new RuntimeException("");
      }
   }

   public static Class545 method4780(Canvas var0, Interface24 var1, Class253 var2, int var3) {
      try {
         boolean var4 = Class545_Sub2.method15107();
         if(!var4) {
            throw new RuntimeException("");
         } else if(!Class335.method6178(448939168).method310("jaggl", 2098226057)) {
            throw new RuntimeException("");
         } else {
            Class193.method3356(var0, -1064777490);
            OpenGL var5 = new OpenGL();
            long var6 = var5.init(var0, 8, 8, 8, 24, 0, var3);
            if(var6 == 0L) {
               throw new RuntimeException("");
            } else {
               Class545_Sub2_Sub2 var8 = new Class545_Sub2_Sub2(var5, var0, var6, var1, var2, var3);
               var8.method14972();
               return var8;
            }
         }
      } catch (Throwable var9) {
         throw new RuntimeException("");
      }
   }

   public static Class545 method4781(Canvas var0, Interface24 var1, Class253 var2, int var3) {
      try {
         boolean var4 = Class545_Sub2.method15107();
         if(!var4) {
            throw new RuntimeException("");
         } else if(!Class335.method6178(-1182460414).method310("jaggl", 2098226057)) {
            throw new RuntimeException("");
         } else {
            Class193.method3356(var0, -688231778);
            OpenGL var5 = new OpenGL();
            long var6 = var5.init(var0, 8, 8, 8, 24, 0, var3);
            if(var6 == 0L) {
               throw new RuntimeException("");
            } else {
               Class545_Sub2_Sub2 var8 = new Class545_Sub2_Sub2(var5, var0, var6, var1, var2, var3);
               var8.method14972();
               return var8;
            }
         }
      } catch (Throwable var9) {
         throw new RuntimeException("");
      }
   }
}
